POST api/NTCosCompany/DeleteInsurance
Request Information
URI Parameters
None.
Body Parameters
InsuranceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CompanyName | string |
String length: inclusive between 0 and 60 |
|
| Name | string |
String length: inclusive between 0 and 115 |
|
| Address | string |
String length: inclusive between 0 and 60 |
|
| Suite | string |
String length: inclusive between 0 and 50 |
|
| City | string |
String length: inclusive between 0 and 30 |
|
| State | string |
String length: inclusive between 0 and 10 |
|
| Zip | string |
String length: inclusive between 0 and 10 |
|
| Phone | string |
String length: inclusive between 0 and 20 |
|
| Fax | string |
String length: inclusive between 0 and 20 |
|
| Sequence | integer |
None. |
|
| string |
String length: inclusive between 0 and 100 |
||
| StateName | string |
String length: inclusive between 0 and 30 |
|
| lstInsuranceCorporation | Collection of InsuranceCorporationDTO |
None. |
|
| IsWorkLocation | boolean |
None. |
|
| InsuranceTypeId | Collection of integer |
None. |
|
| Policyid | string |
String length: inclusive between 0 and 50 |
|
| PayorExternalId | string |
String length: inclusive between 0 and 50 |
|
| Expirationdate | date |
None. |
|
| PayorTypeid | integer |
None. |
|
| TPAid | integer |
None. |
|
| TPA | string |
String length: inclusive between 0 and 100 |
|
| EntityId | string |
String length: inclusive between 0 and 20 |
|
| EntityTypeId | integer |
None. |
|
| PayorMappingTypeNameList | Collection of PayorMappingTypeDTO |
None. |
|
| CheckPayorMapFlag | boolean |
None. |
|
| IsCustomized | boolean |
None. |
|
| PayorId | integer |
None. |
|
| EffectiveStartDate | date |
None. |
|
| EffectiveEndDate | date |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
{
"Id": 1,
"CompanyName": "sample string 2",
"Name": "sample string 3",
"Address": "sample string 4",
"Suite": "sample string 5",
"City": "sample string 6",
"State": "sample string 7",
"Zip": "sample string 8",
"Phone": "sample string 9",
"Fax": "sample string 10",
"Sequence": 1,
"Email": "sample string 11",
"StateName": "sample string 12",
"lstInsuranceCorporation": [
{
"Id": 1,
"InsuranceId": 2,
"CorporationCode": "sample string 3",
"BranchCode": "sample string 4",
"DivisionCode": "sample string 5",
"WorkLocationCode": "sample string 6",
"Type": 7,
"Level1": "sample string 8",
"Level2": "sample string 9",
"Level3": "sample string 10",
"Level4": "sample string 11",
"Level5": "sample string 12",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:46:29.8668071-07:00",
"DateUpdated": "2026-06-20T12:46:29.8668071-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
},
{
"Id": 1,
"InsuranceId": 2,
"CorporationCode": "sample string 3",
"BranchCode": "sample string 4",
"DivisionCode": "sample string 5",
"WorkLocationCode": "sample string 6",
"Type": 7,
"Level1": "sample string 8",
"Level2": "sample string 9",
"Level3": "sample string 10",
"Level4": "sample string 11",
"Level5": "sample string 12",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:46:29.8668071-07:00",
"DateUpdated": "2026-06-20T12:46:29.8668071-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
}
],
"IsWorkLocation": true,
"InsuranceTypeId": [
1,
2
],
"Policyid": "sample string 14",
"PayorExternalId": "sample string 15",
"Expirationdate": "2026-06-20T12:46:29.8668071-07:00",
"PayorTypeid": 1,
"TPAid": 1,
"TPA": "sample string 16",
"EntityId": "sample string 17",
"EntityTypeId": 1,
"PayorMappingTypeNameList": [
{
"OrderName": "sample string 1",
"ComponentName": "sample string 2"
},
{
"OrderName": "sample string 1",
"ComponentName": "sample string 2"
}
],
"CheckPayorMapFlag": true,
"IsCustomized": true,
"PayorId": 1,
"EffectiveStartDate": "2026-06-20T12:46:29.8668071-07:00",
"EffectiveEndDate": "2026-06-20T12:46:29.8668071-07:00",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:46:29.8668071-07:00",
"DateUpdated": "2026-06-20T12:46:29.8668071-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfInsuranceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | InsuranceDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CompanyName": "sample string 2",
"Name": "sample string 3",
"Address": "sample string 4",
"Suite": "sample string 5",
"City": "sample string 6",
"State": "sample string 7",
"Zip": "sample string 8",
"Phone": "sample string 9",
"Fax": "sample string 10",
"Sequence": 1,
"Email": "sample string 11",
"StateName": "sample string 12",
"lstInsuranceCorporation": [
{
"Id": 1,
"InsuranceId": 2,
"CorporationCode": "sample string 3",
"BranchCode": "sample string 4",
"DivisionCode": "sample string 5",
"WorkLocationCode": "sample string 6",
"Type": 7,
"Level1": "sample string 8",
"Level2": "sample string 9",
"Level3": "sample string 10",
"Level4": "sample string 11",
"Level5": "sample string 12",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:46:29.8668071-07:00",
"DateUpdated": "2026-06-20T12:46:29.8668071-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
},
{
"Id": 1,
"InsuranceId": 2,
"CorporationCode": "sample string 3",
"BranchCode": "sample string 4",
"DivisionCode": "sample string 5",
"WorkLocationCode": "sample string 6",
"Type": 7,
"Level1": "sample string 8",
"Level2": "sample string 9",
"Level3": "sample string 10",
"Level4": "sample string 11",
"Level5": "sample string 12",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:46:29.8668071-07:00",
"DateUpdated": "2026-06-20T12:46:29.8668071-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
}
],
"IsWorkLocation": true,
"InsuranceTypeId": [
1,
2
],
"Policyid": "sample string 14",
"PayorExternalId": "sample string 15",
"Expirationdate": "2026-06-20T12:46:29.8668071-07:00",
"PayorTypeid": 1,
"TPAid": 1,
"TPA": "sample string 16",
"EntityId": "sample string 17",
"EntityTypeId": 1,
"PayorMappingTypeNameList": [
{
"OrderName": "sample string 1",
"ComponentName": "sample string 2"
},
{
"OrderName": "sample string 1",
"ComponentName": "sample string 2"
}
],
"CheckPayorMapFlag": true,
"IsCustomized": true,
"PayorId": 1,
"EffectiveStartDate": "2026-06-20T12:46:29.8668071-07:00",
"EffectiveEndDate": "2026-06-20T12:46:29.8668071-07:00",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:46:29.8668071-07:00",
"DateUpdated": "2026-06-20T12:46:29.8668071-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
},
"totalCount": 3
}